#include <SPI.h>
#include <Mirf.h>
#include <nRF24L01.h>
#include <MirfHardwareSpiDriver.h>

void setup(){
  Serial.begin(9600);
  //Mirf.cePin = 8; //48;//8; // 48ce pin on Mega 2560
  //Mirf.csnPin = 7; //49;//7; // 49 csn pin on Mega 2560
  Mirf.spi = &
  MirfHardwareSpi;
  Mirf.init();
  Mirf.setRADDR((byte *)"clie1");
  Mirf.payload = sizeof(unsigned long);
  Mirf.config();
  Serial.println("Beginning ... "); 
  
  pinMode(6, INPUT_PULLUP);
  //pinMode(48,OUTPUT);
  //pinMode(49,OUTPUT);
}

void loop(){
  
  int sensorVal = digitalRead(6);
  int incomingByte = 0; 
  
  if (Serial.available() > 0) {
    // read the incoming byte:
    incomingByte = Serial.read();
    Serial.print("I received: ");
    Serial.println(incomingByte, DEC);
    if (incomingByte==49){
      Serial.println("entro");
      unsigned long data = 133;
      Mirf.setTADDR((byte *)"serv1");
      Mirf.send((byte *)&data);
      while(Mirf.isSending()){
      }
      Serial.println("Finished sending");
      delay(10);
      while(!Mirf.dataReady()){
      }
      Serial.println("Received");
      Mirf.getData((byte *) &data);
      
      Serial.print("Rcv: ");
      Serial.println(data);
      delay(500);
    }
  }
        
  if (sensorVal == LOW) { 
    Serial.println("entro");
    unsigned long data = 133;
    Mirf.setTADDR((byte *)"serv1");
    Mirf.send((byte *)&data);
    while(Mirf.isSending()){
    }
    Serial.println("Finished sending");
    delay(10);
    while(!Mirf.dataReady()){
    }
    Serial.println("Received");
    Mirf.getData((byte *) &data);
    
    Serial.print("Rcv: ");
    Serial.println(data);
    delay(1000);
  }
} 
  
  
  
